class DesktopPublicationsController< ApplicationController
	  def journal_p
      	render "desktop/journal_p", :layout => false
   	end
  
  	def journal_p_list
    	render "desktop/journal_pages/list", :layout => false
  	end
  
  	def journal_p_add
    	render "desktop/journal_pages/add", :layout => false
  	end

  	def create_journal
  		Journal.create(user_id: current_user.id, title: "Google")
  		b = Array.new
    	b << {"success"=>"true"}
    	render :json=>b.to_json
  	end

  	def getjournals
  		@journals = current_user.journals
  		data = Array.new
  		@journals.each do |journal|
  			@papers = journal.papers.all
  			data << {"title" => journal.title, "papers" => @papers}
  		end
  		render :json=>data.to_json
  	end

    def delete_journal
      @journals = Journal.find("")
      @journals.delete
      b = Array.new
      b << {"success"=>"true"}
      render :json=>b.to_json
    end
end
